## crowdsec-custom-bouncer 0.0.14~rc1

=== debian/changelog ===
crowdsec-custom-bouncer (0.0.14~rc1-1) unstable; urgency=medium

  * Initial release (Closes: #1025255).

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 17 Feb 2023 21:03:00 +0100

## crowdsec-custom-bouncer 0.0.15

=== Makefile ===
# Go parameters
GOCMD=go
GOBUILD=$(GOCMD) build
GOCLEAN=$(GOCMD) clean
GOTEST=$(GOCMD) test
GOGET=$(GOCMD) get


PREFIX?="/"
PID_DIR = $(PREFIX)"/var/run/"
BINARY_NAME=crowdsec-custom-bouncer

#Current versioning information from env
BUILD_VERSION?="$(shell git describe --tags)"
BUILD_TIMESTAMP=$(shell date +%F"_"%T)
BUILD_TAG="$(shell git rev-parse HEAD)"
export LD_OPTS=-ldflags "-s -w -X github.com/crowdsecurity/cs-custom-bouncer/pkg/version.Version=$(BUILD_VERSION) \
-X github.com/crowdsecurity/cs-custom-bouncer/pkg/version.BuildDate=$(BUILD_TIMESTAMP) \
-X github.com/crowdsecurity/cs-custom-bouncer/pkg/version.Tag=$(BUILD_TAG)"

RELDIR = "crowdsec-custom-bouncer-${BUILD_VERSION}"

all: clean test build

static: clean
	$(GOBUILD) $(LD_OPTS) -o $(BINARY_NAME) -v -a -tags netgo -ldflags '-w -extldflags "-static"'

build: clean
	$(GOBUILD) $(LD_OPTS) -o $(BINARY_NAME) -v

test:
	@$(GOTEST) -v ./...

clean:
	@rm -f $(BINARY_NAME)
	@rm -rf ${RELDIR}
	@rm -f crowdsec-custom-bouncer.tgz || ""

.PHONY: release
release: build
	@if [ -z ${BUILD_VERSION} ] ; then BUILD_VERSION="local" ; fi
	@if [ -d $(RELDIR) ]; then echo "$(RELDIR) already exists, clean" ;  exit 1 ; fi
	@echo Building Release to dir $(RELDIR)
	@mkdir $(RELDIR)/
	@cp $(BINARY_NAME) $(RELDIR)/
	@cp -R ./config $(RELDIR)/
	@cp ./scripts/install.sh $(RELDIR)/
	@cp ./scripts/uninstall.sh $(RELDIR)/
	@cp ./scripts/upgrade.sh $(RELDIR)/
	@chmod +x $(RELDIR)/install.sh
	@chmod +x $(RELDIR)/uninstall.sh
	@chmod +x $(RELDIR)/upgrade.sh
	@tar cvzf crowdsec-custom-bouncer.tgz $(RELDIR)

=== debian/changelog ===
crowdsec-custom-bouncer (0.0.15-3ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update 

 -- Evan Caville <evan.caville@canonical.com>  Thu, 17 Jul 2025 16:52:55 +1000

crowdsec-custom-bouncer (0.0.15-3ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 14:00:47 +1000

crowdsec-custom-bouncer (0.0.15-3ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 10 Jul 2024 12:26:40 +0530

crowdsec-custom-bouncer (0.0.15-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:13:33 +1200

crowdsec-custom-bouncer (0.0.15-3) unstable; urgency=medium

  * Fix failure to install if crowdsec is unpacked but not configured
    (Closes: #1035499):
     - If both cscli and /etc/crowdsec/config.yaml exist, register as
       previously, via `cscli bouncers add`.
     - If cscli exists but /etc/crowdsec/config.yaml doesn't, create an
       API key similarly to what cscli would do (32 hexadecimal digits),
       and queue registration in /var/lib/crowdsec/pending-registration.
  * Add ConditionPathExists=!/var/lib/crowdsec/pending-registration to the
    systemd unit accordingly, so that it's skipped until crowdsec's
    postinst deals with the pending-registration file, removes it, and
    starts the units.
  * Use mode 600 when creating crowdsec-custom-bouncer.yaml.local, since
    it contains an API key.

 -- Cyril Brulebois <cyril@debamax.com>  Wed, 31 May 2023 19:01:19 +0200

crowdsec-custom-bouncer (0.0.15-2) unstable; urgency=medium

  * Add patch to honor log-related settings (upstream PR #54):
     - 0001-Honor-log-related-settings.patch
  * Stop shipping a logrotate configuration snippet, as the bouncer rotates
    logs on its own via lumberjack.Logger, and that can be configured in
    /etc/crowdsec/bouncers/crowdsec-custom-bouncer.yaml (or the .local
    override):
     - Delete debian/crowdsec-custom-bouncer.logrotate
     - Tag /etc/logrotate.d/crowdsec-custom-bouncer remove-on-upgrade
       via debian/crowdsec-custom-bouncer.conffiles.
  * When purging the package, remove internally-rotated log files, in
    addition to removing main log file and the logrotate-generated ones.

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 21 Mar 2023 01:02:17 +0100

crowdsec-custom-bouncer (0.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 21 Feb 2023 14:54:26 +0100

=== debian/control ===
Source: crowdsec-custom-bouncer
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-coreos-go-systemd-dev,
               golang-github-crowdsecurity-crowdsec-dev,
               golang-github-crowdsecurity-go-cs-bouncer-dev,
               golang-gopkg-natefinch-lumberjack.v2-dev,
               golang-gopkg-tomb.v2-dev,
               golang-logrus-dev,
               golang-prometheus-client-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/crowdsec-custom-bouncer
Vcs-Git: https://salsa.debian.org/go-team/packages/crowdsec-custom-bouncer.git
Homepage: https://github.com/crowdsecurity/cs-custom-bouncer
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/crowdsecurity/cs-custom-bouncer

Package: crowdsec-custom-bouncer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: crowdsec
Built-Using: ${misc:Built-Using}
Description: CrowdSec bouncer for custom scripts
 This package uses the CrowdSec API to fetch the latest decisions
 periodically, and passes them as arguments to a custom user script.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := tests/

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
	cd debian/crowdsec-custom-bouncer/usr/bin && mv cs-custom-bouncer crowdsec-custom-bouncer

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/crowdsecurity/cs-custom-bouncer/tags .*/v?(\d\S*)\.tar\.gz debian
